Index: ./devel/syncdir/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/syncdir/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/syncdir/buildlink3.mk	3 Oct 2004 00:13:33 -0000	1.2
+++ ./devel/syncdir/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=		syncdir
 
 .if !empty(SYNCDIR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.syncdir+=	syncdir>=1.0
-BUILDLINK_RECOMMENDED.syncdir+=	syncdir>=1.0nb1
+BUILDLINK_API_DEPENDS.syncdir+=	syncdir>=1.0
+BUILDLINK_ABI_DEPENDS.syncdir+=	syncdir>=1.0nb1
 BUILDLINK_PKGSRCDIR.syncdir?=	../../devel/syncdir
 .endif	# SYNCDIR_BUILDLINK3_MK
 
Index: ./devel/sysexits/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/sysexits/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/sysexits/buildlink3.mk	8 Nov 2005 13:34:39 -0000	1.2
+++ ./devel/sysexits/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	sysexits
 
 .if !empty(SYSEXITS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sysexits+=	sysexits>=1.1
+BUILDLINK_API_DEPENDS.sysexits+=	sysexits>=1.1
 BUILDLINK_DEPMETHOD.sysexits?=	build
 BUILDLINK_PKGSRCDIR.sysexits?=	../../devel/sysexits
 .endif	# SYSEXITS_BUILDLINK3_MK
Index: ./devel/sysexits/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/sysexits/builtin.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 builtin.mk
--- ./devel/sysexits/builtin.mk	31 Oct 2005 15:53:19 -0000	1.1.1.1
+++ ./devel/sysexits/builtin.mk	4 Apr 2006 06:26:52 -0000
@@ -31,7 +31,7 @@
 .    if defined(BUILTIN_PKG.sysexits) && \
         !empty(IS_BUILTIN.sysexits:M[yY][eE][sS])
 USE_BUILTIN.sysexits=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.sysexits}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.sysexits}
 .        if !empty(USE_BUILTIN.sysexits:M[yY][eE][sS])
 USE_BUILTIN.sysexits!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.sysexits:Q}; then \
Index: ./devel/tcl-tclcl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/tcl-tclcl/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/tcl-tclcl/buildlink3.mk	5 Feb 2006 23:08:54 -0000	1.4
+++ ./devel/tcl-tclcl/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-tclcl
 
 .if !empty(TCL_TCLCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-tclcl+=	tcl-tclcl>=1.15
-BUILDLINK_RECOMMENDED.tcl-tclcl+=	tcl-tclcl>=1.17nb2
+BUILDLINK_API_DEPENDS.tcl-tclcl+=	tcl-tclcl>=1.15
+BUILDLINK_ABI_DEPENDS.tcl-tclcl+=	tcl-tclcl>=1.17nb2
 BUILDLINK_PKGSRCDIR.tcl-tclcl?=	../../devel/tcl-tclcl
 .endif	# TCL_TCLCL_BUILDLINK3_MK
 
Index: ./devel/teem/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/teem/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/teem/buildlink3.mk	5 Feb 2006 23:08:54 -0000	1.2
+++ ./devel/teem/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	teem
 
 .if !empty(TEEM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.teem+=		teem>=1.8.0
-BUILDLINK_RECOMMENDED.teem?=		teem>=1.8.0nb1
+BUILDLINK_API_DEPENDS.teem+=		teem>=1.8.0
+BUILDLINK_ABI_DEPENDS.teem?=		teem>=1.8.0nb1
 BUILDLINK_PKGSRCDIR.teem?=		../../devel/teem
 
 BUILDLINK_FILES.teem+=	include/teem/*
Index: ./devel/tre/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/tre/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./devel/tre/buildlink3.mk	29 Nov 2005 19:12:04 -0000	1.1.1.1
+++ ./devel/tre/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	tre
 
 .if !empty(TRE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tre+=		tre>=0.7.2
+BUILDLINK_API_DEPENDS.tre+=		tre>=0.7.2
 BUILDLINK_PKGSRCDIR.tre?=	../../devel/tre
 BUILDLINK_DEPMETHOD.tre?=	build
 .endif	# TRE_BUILDLINK3_MK
Index: ./devel/ucl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/ucl/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/ucl/buildlink3.mk	3 Oct 2004 00:13:34 -0000	1.2
+++ ./devel/ucl/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ucl
 
 .if !empty(UCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ucl+=	ucl>=1.02
-BUILDLINK_RECOMMENDED.ucl+=	ucl>=1.02nb2
+BUILDLINK_API_DEPENDS.ucl+=	ucl>=1.02
+BUILDLINK_ABI_DEPENDS.ucl+=	ucl>=1.02nb2
 BUILDLINK_PKGSRCDIR.ucl?=	../../devel/ucl
 .endif	# UCL_BUILDLINK3_MK
 
Index: ./devel/vanessa_adt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/vanessa_adt/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/vanessa_adt/buildlink3.mk	3 Oct 2004 00:13:34 -0000	1.2
+++ ./devel/vanessa_adt/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	vanessa_adt
 
 .if !empty(VANESSA_ADT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.vanessa_adt+=	vanessa_adt>=0.0.6
-BUILDLINK_RECOMMENDED.vanessa_adt+=	vanessa_adt>=0.0.6nb1
+BUILDLINK_API_DEPENDS.vanessa_adt+=	vanessa_adt>=0.0.6
+BUILDLINK_ABI_DEPENDS.vanessa_adt+=	vanessa_adt>=0.0.6nb1
 BUILDLINK_PKGSRCDIR.vanessa_adt?=	../../devel/vanessa_adt
 .endif	# VANESSA_ADT_BUILDLINK3_MK
 
Index: ./devel/vanessa_logger/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/vanessa_logger/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/vanessa_logger/buildlink3.mk	3 Oct 2004 00:13:34 -0000	1.2
+++ ./devel/vanessa_logger/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	vanessa_logger
 
 .if !empty(VANESSA_LOGGER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.vanessa_logger+=	vanessa_logger>=0.0.7
-BUILDLINK_RECOMMENDED.vanessa_logger+=	vanessa_logger>=0.0.7nb1
+BUILDLINK_API_DEPENDS.vanessa_logger+=	vanessa_logger>=0.0.7
+BUILDLINK_ABI_DEPENDS.vanessa_logger+=	vanessa_logger>=0.0.7nb1
 BUILDLINK_PKGSRCDIR.vanessa_logger?=	../../devel/vanessa_logger
 .endif	# VANESSA_LOGGER_BUILDLINK3_MK
 
Index: ./devel/vanessa_socket/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/vanessa_socket/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/vanessa_socket/buildlink3.mk	5 Feb 2006 23:08:54 -0000	1.4
+++ ./devel/vanessa_socket/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	vanessa_socket
 
 .if !empty(VANESSA_SOCKET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.vanessa_socket+=	vanessa_socket>=0.0.7nb2
-BUILDLINK_RECOMMENDED.vanessa_socket?=	vanessa_socket>=0.0.7nb3
+BUILDLINK_API_DEPENDS.vanessa_socket+=	vanessa_socket>=0.0.7nb2
+BUILDLINK_ABI_DEPENDS.vanessa_socket?=	vanessa_socket>=0.0.7nb3
 BUILDLINK_PKGSRCDIR.vanessa_socket?=	../../devel/vanessa_socket
 .endif	# VANESSA_SOCKET_BUILDLINK3_MK
 
Index: ./devel/zlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/zlib/buildlink3.mk,v
retrieving revision 1.20
diff -u -r1.20 buildlink3.mk
--- ./devel/zlib/buildlink3.mk	22 Jul 2005 16:04:43 -0000	1.20
+++ ./devel/zlib/buildlink3.mk	4 Apr 2006 06:26:52 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	zlib
 
 .if !empty(ZLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.zlib+=	zlib>=1.1.4nb1
-BUILDLINK_RECOMMENDED.zlib+=	zlib>=1.2.3
+BUILDLINK_API_DEPENDS.zlib+=	zlib>=1.1.4nb1
+BUILDLINK_ABI_DEPENDS.zlib+=	zlib>=1.2.3
 BUILDLINK_PKGSRCDIR.zlib?=	../../devel/zlib
 .endif	# ZLIB_BUILDLINK3_MK
 
Index: ./devel/zlib/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/zlib/builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 builtin.mk
--- ./devel/zlib/builtin.mk	1 Jun 2005 18:02:45 -0000	1.3
+++ ./devel/zlib/builtin.mk	4 Apr 2006 06:26:52 -0000
@@ -69,7 +69,7 @@
 .    if defined(BUILTIN_PKG.zlib) && \
         !empty(IS_BUILTIN.zlib:M[yY][eE][sS])
 USE_BUILTIN.zlib=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.zlib}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.zlib}
 .        if !empty(USE_BUILTIN.zlib:M[yY][eE][sS])
 USE_BUILTIN.zlib!=	\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.zlib:Q}; then	\
Index: ./editors/emacs/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/editors/emacs/Makefile,v
retrieving revision 1.91
diff -u -r1.91 Makefile
--- ./editors/emacs/Makefile	20 Feb 2006 12:16:24 -0000	1.91
+++ ./editors/emacs/Makefile	4 Apr 2006 06:26:53 -0000
@@ -19,7 +19,7 @@
 .include "../../graphics/tiff/buildlink3.mk"
 CONFIGURE_ARGS+=	--with-tiff
 # need 4.1.0b1 or higher (a bug in 4.1.0 can crash Emacs)
-BUILDLINK_DEPENDS.libungif+=	libungif>=4.1.0.1
+BUILDLINK_API_DEPENDS.libungif+=	libungif>=4.1.0.1
 .include "../../graphics/libungif/buildlink3.mk"
 CONFIGURE_ARGS+=	--with-gif
 .include "../../graphics/png/buildlink3.mk"
Index: ./editors/gconf-editor/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/editors/gconf-editor/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- ./editors/gconf-editor/Makefile	21 Mar 2006 06:00:45 -0000	1.44
+++ ./editors/gconf-editor/Makefile	4 Apr 2006 06:26:53 -0000
@@ -24,7 +24,7 @@
 
 GCONF2_SCHEMAS=		gconf-editor.schemas
 
-BUILDLINK_DEPENDS.GConf2+=	GConf2>=2.10.0
+BUILDLINK_API_DEPENDS.GConf2+=	GConf2>=2.10.0
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./editors/gedit/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/editors/gedit/Makefile,v
retrieving revision 1.58
diff -u -r1.58 Makefile
--- ./editors/gedit/Makefile	21 Mar 2006 06:00:45 -0000	1.58
+++ ./editors/gedit/Makefile	4 Apr 2006 06:26:53 -0000
@@ -26,8 +26,8 @@
 
 CONFIGURE_ARGS+=	--enable-schemas-install
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
-BUILDLINK_DEPENDS.libglade2+=	libglade2>=2.4.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.libglade2+=	libglade2>=2.4.0
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/eel2/buildlink3.mk"
Index: ./editors/gedit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/editors/gedit/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./editors/gedit/buildlink3.mk	14 Mar 2006 14:22:36 -0000	1.1
+++ ./editors/gedit/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -21,7 +21,7 @@
 BUILDLINK_PACKAGES+=	gedit
 
 .if !empty(GEDIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gedit+=	gedit>=2.12.1nb4
+BUILDLINK_API_DEPENDS.gedit+=	gedit>=2.12.1nb4
 BUILDLINK_PKGSRCDIR.gedit?=	../../editors/gedit
 .endif	# GEDIT_BUILDLINK3_MK
 
Index: ./editors/mule-ucs/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/editors/mule-ucs/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./editors/mule-ucs/Makefile	5 Feb 2006 23:08:57 -0000	1.14
+++ ./editors/mule-ucs/Makefile	4 Apr 2006 06:26:53 -0000
@@ -12,7 +12,7 @@
 
 # Mule 4.1 feature required by Mule-UCS was added to 20.7nb1.
 EMACS_VERSIONS_ACCEPTED=	emacs21 emacs21nox emacs20
-BUILDLINK_DEPENDS.emacs20+=	emacs>=20.7nb1
+BUILDLINK_API_DEPENDS.emacs20+=	emacs>=20.7nb1
 
 do-build:
 	@cd ${WRKSRC}; \
Index: ./editors/pico/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/editors/pico/Makefile,v
retrieving revision 1.68
diff -u -r1.68 Makefile
--- ./editors/pico/Makefile	4 Mar 2006 21:29:32 -0000	1.68
+++ ./editors/pico/Makefile	4 Apr 2006 06:26:53 -0000
@@ -4,7 +4,7 @@
 # When updating, it is necessary to change the shlib version, located in
 # several files in patches/.  If you do not KNOW that the new version is
 # backwards ABI compatible (usually not), bump the major version,
-# and then bump the BUILDLINK_DEPENDS in buildlink3.mk.
+# and then bump the BUILDLINK_API_DEPENDS in buildlink3.mk.
 
 DISTNAME=	pine4.64
 PKGNAME=	pico-4.10
Index: ./editors/pico/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/editors/pico/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./editors/pico/buildlink3.mk	12 Jan 2006 21:00:52 -0000	1.8
+++ ./editors/pico/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	pico
 
 .if !empty(PICO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pico+=	pico>=4.10
+BUILDLINK_API_DEPENDS.pico+=	pico>=4.10
 BUILDLINK_PKGSRCDIR.pico?=	../../editors/pico
 .endif	# PICO_BUILDLINK3_MK
 
Index: ./editors/sam/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/editors/sam/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./editors/sam/buildlink3.mk	5 Feb 2006 23:08:57 -0000	1.2
+++ ./editors/sam/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sam
 
 .if !empty(SAM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sam+=	sam>=4.3nb1
-BUILDLINK_RECOMMENDED.sam?=	sam>=4.3nb3
+BUILDLINK_API_DEPENDS.sam+=	sam>=4.3nb1
+BUILDLINK_ABI_DEPENDS.sam?=	sam>=4.3nb3
 BUILDLINK_PKGSRCDIR.sam?=	../../editors/sam
 BUILDLINK_DEPMETHOD.sam?=	build
 .endif	# SAM_BUILDLINK3_MK
Index: ./emulators/DatLib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/DatLib/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./emulators/DatLib/buildlink3.mk	5 Feb 2006 23:08:59 -0000	1.3
+++ ./emulators/DatLib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	DatLib
 
 .if !empty(DATLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.DatLib+=	DatLib>=2.8
-BUILDLINK_RECOMMENDED.DatLib?=	DatLib>=2.15nb1
+BUILDLINK_API_DEPENDS.DatLib+=	DatLib>=2.8
+BUILDLINK_ABI_DEPENDS.DatLib?=	DatLib>=2.15nb1
 BUILDLINK_PKGSRCDIR.DatLib?=	../../emulators/DatLib
 .endif	# DATLIB_BUILDLINK3_MK
 
Index: ./emulators/DatUtil/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/DatUtil/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- ./emulators/DatUtil/Makefile	5 Feb 2006 23:08:59 -0000	1.17
+++ ./emulators/DatUtil/Makefile	4 Apr 2006 06:26:53 -0000
@@ -20,7 +20,7 @@
 
 INSTALLATION_DIRS=	bin
 
-BUILDLINK_DEPENDS.DatLib+=	DatLib>=2.15
+BUILDLINK_API_DEPENDS.DatLib+=	DatLib>=2.15
 
 post-extract:
 	${MKDIR} ${WRKSRC}/obj
Index: ./emulators/MAMEDiff/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/MAMEDiff/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- ./emulators/MAMEDiff/Makefile	5 Feb 2006 23:08:59 -0000	1.13
+++ ./emulators/MAMEDiff/Makefile	4 Apr 2006 06:26:53 -0000
@@ -19,7 +19,7 @@
 EXTRACT_OPTS_ZIP=	-Laaqo
 INSTALLATION_DIRS=	bin
 
-BUILDLINK_DEPENDS.DatLib+=	DatLib>=2.13
+BUILDLINK_API_DEPENDS.DatLib+=	DatLib>=2.13
 
 post-extract:
 	${MKDIR} ${WRKSRC}/obj
Index: ./emulators/ROMInfo/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/ROMInfo/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- ./emulators/ROMInfo/Makefile	5 Feb 2006 23:09:00 -0000	1.10
+++ ./emulators/ROMInfo/Makefile	4 Apr 2006 06:26:53 -0000
@@ -19,7 +19,7 @@
 EXTRACT_OPTS_ZIP=	-Laaqo
 INSTALLATION_DIRS=	bin
 
-BUILDLINK_DEPENDS.DatLib+=	DatLib>=2.13
+BUILDLINK_API_DEPENDS.DatLib+=	DatLib>=2.13
 
 post-extract:
 	${MKDIR} ${WRKSRC}/obj
Index: ./emulators/ZIPIdent/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/ZIPIdent/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- ./emulators/ZIPIdent/Makefile	5 Feb 2006 23:09:00 -0000	1.10
+++ ./emulators/ZIPIdent/Makefile	4 Apr 2006 06:26:53 -0000
@@ -19,7 +19,7 @@
 EXTRACT_OPTS_ZIP=	-Laaqo
 INSTALLATION_DIRS=	bin
 
-BUILDLINK_DEPENDS.DatLib+=	DatLib>=2.13
+BUILDLINK_API_DEPENDS.DatLib+=	DatLib>=2.13
 
 post-extract:
 	${MKDIR} ${WRKSRC}/obj
Index: ./emulators/cygwin_lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/cygwin_lib/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./emulators/cygwin_lib/buildlink3.mk	11 Oct 2004 20:08:11 -0000	1.1.1.1
+++ ./emulators/cygwin_lib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	cygwin_lib
 
 .if !empty(CYGWIN_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cygwin_lib+=		cygwin_lib>=1.5.11.1
+BUILDLINK_API_DEPENDS.cygwin_lib+=		cygwin_lib>=1.5.11.1
 BUILDLINK_PKGSRCDIR.cygwin_lib?=	../../emulators/cygwin_lib
 .endif	# CYGWIN_LIB_BUILDLINK3_MK
 
Index: ./emulators/gpsim-devel/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/gpsim-devel/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./emulators/gpsim-devel/buildlink3.mk	5 Feb 2006 23:09:01 -0000	1.4
+++ ./emulators/gpsim-devel/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gpsim
 
 .if !empty(GPSIM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gpsim+=	gpsim>=20050905
-BUILDLINK_RECOMMENDED.gpsim+=	gpsim>=20050905nb2
+BUILDLINK_API_DEPENDS.gpsim+=	gpsim>=20050905
+BUILDLINK_ABI_DEPENDS.gpsim+=	gpsim>=20050905nb2
 BUILDLINK_PKGSRCDIR.gpsim?=	../../emulators/gpsim-devel
 .endif	# GPSIM_BUILDLINK3_MK
 
Index: ./emulators/libspectrum/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/libspectrum/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./emulators/libspectrum/buildlink3.mk	5 Feb 2006 23:09:01 -0000	1.6
+++ ./emulators/libspectrum/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libspectrum
 
 .if !empty(LIBSPECTRUM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libspectrum+=		libspectrum>=0.2.2
-BUILDLINK_RECOMMENDED.libspectrum+=	libspectrum>=0.2.2nb2
+BUILDLINK_API_DEPENDS.libspectrum+=		libspectrum>=0.2.2
+BUILDLINK_ABI_DEPENDS.libspectrum+=	libspectrum>=0.2.2nb2
 BUILDLINK_PKGSRCDIR.libspectrum?=	../../emulators/libspectrum
 .endif	# LIBSPECTRUM_BUILDLINK3_MK
 
Index: ./emulators/lrmi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/lrmi/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./emulators/lrmi/buildlink3.mk	5 Apr 2005 10:42:07 -0000	1.1
+++ ./emulators/lrmi/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	lrmi
 
 .if !empty(LRMI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lrmi+=	lrmi>=0.8nb1
+BUILDLINK_API_DEPENDS.lrmi+=	lrmi>=0.8nb1
 BUILDLINK_PKGSRCDIR.lrmi?=	../../emulators/lrmi
 .endif	# LRMI_BUILDLINK3_MK
 
Index: ./emulators/simh/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/simh/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- ./emulators/simh/Makefile	4 Mar 2006 21:29:35 -0000	1.24
+++ ./emulators/simh/Makefile	4 Apr 2006 06:26:53 -0000
@@ -13,7 +13,7 @@
 HOMEPAGE=	http://simh.trailing-edge.com/
 COMMENT=	Bob Supnik's historical computer simulator
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.6
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.6
 
 EXTRACT_OPTS_ZIP=	-aoq
 WRKSRC=			${WRKDIR}
Index: ./emulators/wine/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/emulators/wine/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./emulators/wine/buildlink3.mk	5 Feb 2006 23:09:05 -0000	1.5
+++ ./emulators/wine/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	wine
 
 .if !empty(WINE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wine+=	wine>=0.9nb1
-BUILDLINK_RECOMMENDED.wine?=	wine>=0.9.6nb1
+BUILDLINK_API_DEPENDS.wine+=	wine>=0.9nb1
+BUILDLINK_ABI_DEPENDS.wine?=	wine>=0.9.6nb1
 BUILDLINK_PKGSRCDIR.wine?=	../../emulators/wine
 .endif	# WINE_BUILDLINK3_MK
 
Index: ./finance/gnucash-devel/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/finance/gnucash-devel/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- ./finance/gnucash-devel/Makefile	29 Mar 2006 22:07:22 -0000	1.9
+++ ./finance/gnucash-devel/Makefile	4 Apr 2006 06:26:53 -0000
@@ -51,20 +51,20 @@
 .include "../../devel/libgsf/buildlink3.mk"
 .include "../../devel/libglade2/buildlink3.mk"
 .include "../../devel/libgnomeui/buildlink3.mk"
-BUILDLINK_DEPENDS.pango+=	pango>=1.8.0
+BUILDLINK_API_DEPENDS.pango+=	pango>=1.8.0
 .include "../../devel/pango/buildlink3.mk"
 .include "../../devel/popt/buildlink3.mk"
 .include "../../devel/zlib/buildlink3.mk"
 .include "../../finance/libofx/buildlink3.mk"
 .include "../../lang/guile/buildlink3.mk"
 .include "../../lang/perl5/buildlink3.mk"
-BUILDLINK_DEPENDS.goffice+=	goffice>=0.1.2
+BUILDLINK_API_DEPENDS.goffice+=	goffice>=0.1.2
 .include "../../misc/goffice/buildlink3.mk"
 .include "../../print/libgnomeprint/buildlink3.mk"
 .include "../../print/libgnomeprintui/buildlink3.mk"
 .include "../../textproc/intltool/buildlink3.mk"
 .include "../../textproc/libxml2/buildlink3.mk"
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.6.0
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.6.0
 .include "../../www/gtkhtml38/buildlink3.mk"
 .include "../../x11/gtk2/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./finance/libofx/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/finance/libofx/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./finance/libofx/buildlink3.mk	5 Feb 2006 22:25:01 -0000	1.1.1.1
+++ ./finance/libofx/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libofx
 
 .if !empty(LIBOFX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libofx+=	libofx>=0.8.0
+BUILDLINK_API_DEPENDS.libofx+=	libofx>=0.8.0
 BUILDLINK_PKGSRCDIR.libofx?=	../../finance/libofx
 .endif	# LIBOFX_BUILDLINK3_MK
 
Index: ./finance/xquote/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/finance/xquote/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./finance/xquote/Makefile	5 Feb 2006 23:09:06 -0000	1.14
+++ ./finance/xquote/Makefile	4 Apr 2006 06:26:53 -0000
@@ -13,7 +13,7 @@
 NO_INSTALL_MANPAGES=	YES
 
 # needs a symbol that appeared after 4.9.1
-BUILDLINK_DEPENDS.Xbae+=        Xbae>=4.50
+BUILDLINK_API_DEPENDS.Xbae+=        Xbae>=4.50
 
 .include "../../graphics/xpm/buildlink3.mk"
 .include "../../x11/Xbae/buildlink3.mk"
Index: ./fonts/Xft2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/Xft2/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- ./fonts/Xft2/Makefile	4 Mar 2006 21:29:38 -0000	1.45
+++ ./fonts/Xft2/Makefile	4 Apr 2006 06:26:53 -0000
@@ -20,8 +20,8 @@
 PKGCONFIG_OVERRIDE=	xft.pc.in
 MAKE_ENV+=		EGREP=${EGREP:Q}
 
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8.2
-BUILDLINK_DEPENDS.fontconfig+=	fontconfig>=2.2
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8.2
+BUILDLINK_API_DEPENDS.fontconfig+=	fontconfig>=2.2
 
 .include "../../devel/zlib/buildlink3.mk"
 .include "../../fonts/fontconfig/buildlink3.mk"
Index: ./fonts/Xft2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/Xft2/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./fonts/Xft2/buildlink3.mk	5 Feb 2006 23:09:06 -0000	1.15
+++ ./fonts/Xft2/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xft2
 
 .if !empty(XFT2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xft2+=	Xft2>=2.1
-BUILDLINK_RECOMMENDED.Xft2+=	Xft2>=2.1.7nb2
+BUILDLINK_API_DEPENDS.Xft2+=	Xft2>=2.1
+BUILDLINK_ABI_DEPENDS.Xft2+=	Xft2>=2.1.7nb2
 BUILDLINK_PKGSRCDIR.Xft2?=	../../fonts/Xft2
 .endif	# XFT2_BUILDLINK3_MK
 
Index: ./fonts/Xft2/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/Xft2/builtin.mk,v
retrieving revision 1.12
diff -u -r1.12 builtin.mk
--- ./fonts/Xft2/builtin.mk	3 Jun 2005 19:13:35 -0000	1.12
+++ ./fonts/Xft2/builtin.mk	4 Apr 2006 06:26:53 -0000
@@ -67,7 +67,7 @@
 .    if defined(BUILTIN_PKG.Xft2) && \
         !empty(IS_BUILTIN.Xft2:M[yY][eE][sS])
 USE_BUILTIN.Xft2=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.Xft2}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.Xft2}
 .        if !empty(USE_BUILTIN.Xft2:M[yY][eE][sS])
 USE_BUILTIN.Xft2!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.Xft2:Q}; then	\
@@ -90,7 +90,7 @@
 .if !empty(CHECK_BUILTIN.Xft2:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.Xft2:M[nN][oO])
-BUILDLINK_DEPENDS.Xft2+=	Xft2>=2.1nb2
+BUILDLINK_API_DEPENDS.Xft2+=	Xft2>=2.1nb2
 .  endif
 
 .  if !empty(USE_BUILTIN.Xft2:M[yY][eE][sS])
Index: ./fonts/fontconfig/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/fontconfig/Makefile,v
retrieving revision 1.50
diff -u -r1.50 Makefile
--- ./fonts/fontconfig/Makefile	4 Mar 2006 21:29:38 -0000	1.50
+++ ./fonts/fontconfig/Makefile	4 Apr 2006 06:26:53 -0000
@@ -12,7 +12,7 @@
 
 # This can use 2.0.5 but things which use it (ala pango) require 2.0.9 so make
 # sure to keep in step
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.0.9
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.0.9
 
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
Index: ./fonts/fontconfig/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/fontconfig/buildlink3.mk,v
retrieving revision 1.20
diff -u -r1.20 buildlink3.mk
--- ./fonts/fontconfig/buildlink3.mk	5 Feb 2006 23:09:09 -0000	1.20
+++ ./fonts/fontconfig/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fontconfig
 
 .if !empty(FONTCONFIG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fontconfig+=		fontconfig>=1.0.1
-BUILDLINK_RECOMMENDED.fontconfig+=	fontconfig>=2.3.2nb2
+BUILDLINK_API_DEPENDS.fontconfig+=		fontconfig>=1.0.1
+BUILDLINK_ABI_DEPENDS.fontconfig+=	fontconfig>=2.3.2nb2
 BUILDLINK_PKGSRCDIR.fontconfig?=	../../fonts/fontconfig
 .endif	# FONTCONFIG_BUILDLINK3_MK
 
Index: ./fonts/fontconfig/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/fontconfig/builtin.mk,v
retrieving revision 1.7
diff -u -r1.7 builtin.mk
--- ./fonts/fontconfig/builtin.mk	3 Jun 2005 19:12:49 -0000	1.7
+++ ./fonts/fontconfig/builtin.mk	4 Apr 2006 06:26:53 -0000
@@ -66,7 +66,7 @@
 .    if defined(BUILTIN_PKG.fontconfig) && \
         !empty(IS_BUILTIN.fontconfig:M[yY][eE][sS])
 USE_BUILTIN.fontconfig=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.fontconfig}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.fontconfig}
 .        if !empty(USE_BUILTIN.fontconfig:M[yY][eE][sS])
 USE_BUILTIN.fontconfig!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.fontconfig:Q}; then \
@@ -89,8 +89,8 @@
 .if !empty(CHECK_BUILTIN.fontconfig:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.fontconfig:M[nN][oO])
-BUILDLINK_DEPENDS.fontconfig+=	fontconfig>=2.1nb2
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.3
+BUILDLINK_API_DEPENDS.fontconfig+=	fontconfig>=2.1nb2
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.3
 .  endif
 
 .  if !empty(USE_BUILTIN.fontconfig:M[yY][eE][sS])
Index: ./fonts/gucharmap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/gucharmap/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./fonts/gucharmap/buildlink3.mk	5 Feb 2006 23:09:09 -0000	1.10
+++ ./fonts/gucharmap/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gucharmap
 
 .if !empty(GUCHARMAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gucharmap+=	gucharmap>=1.4.0
-BUILDLINK_RECOMMENDED.gucharmap+=	gucharmap>=1.4.4nb3
+BUILDLINK_API_DEPENDS.gucharmap+=	gucharmap>=1.4.0
+BUILDLINK_ABI_DEPENDS.gucharmap+=	gucharmap>=1.4.4nb3
 BUILDLINK_PKGSRCDIR.gucharmap?=	../../fonts/gucharmap
 .endif	# GUCHARMAP_BUILDLINK3_MK
 
Index: ./fonts/mftrace/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/mftrace/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./fonts/mftrace/buildlink3.mk	5 Feb 2006 23:09:10 -0000	1.3
+++ ./fonts/mftrace/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mftrace
 
 .if !empty(MFTRACE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mftrace+=	mftrace>=1.0.19
-BUILDLINK_RECOMMENDED.mftrace?=	mftrace>=1.1.1nb3
+BUILDLINK_API_DEPENDS.mftrace+=	mftrace>=1.0.19
+BUILDLINK_ABI_DEPENDS.mftrace?=	mftrace>=1.1.1nb3
 BUILDLINK_PKGSRCDIR.mftrace?=	../../fonts/mftrace
 .endif	# MFTRACE_BUILDLINK3_MK
 
Index: ./fonts/t1lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/fonts/t1lib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./fonts/t1lib/buildlink3.mk	5 Feb 2006 23:09:11 -0000	1.5
+++ ./fonts/t1lib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	t1lib
 
 .if !empty(T1LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.t1lib+=	t1lib>=5.0.1
-BUILDLINK_RECOMMENDED.t1lib+=	t1lib>=5.1.0nb5
+BUILDLINK_API_DEPENDS.t1lib+=	t1lib>=5.0.1
+BUILDLINK_ABI_DEPENDS.t1lib+=	t1lib>=5.1.0nb5
 BUILDLINK_PKGSRCDIR.t1lib?=	../../fonts/t1lib
 .endif	# T1LIB_BUILDLINK3_MK
 
Index: ./games/freeciv-server/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/games/freeciv-server/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./games/freeciv-server/Makefile	5 Feb 2006 23:09:14 -0000	1.21
+++ ./games/freeciv-server/Makefile	4 Apr 2006 06:26:53 -0000
@@ -13,7 +13,7 @@
 LIBS+=			-ltermcap
 
 # Uses rl_filename_completion_function() which was introduced in readline-4.2
-BUILDLINK_DEPENDS.readline+=	readline>=4.2
+BUILDLINK_API_DEPENDS.readline+=	readline>=4.2
 
 .include "../../games/freeciv-share/Makefile.common"
 
Index: ./games/gnome2-games/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/games/gnome2-games/Makefile,v
retrieving revision 1.65
diff -u -r1.65 Makefile
--- ./games/gnome2-games/Makefile	21 Mar 2006 06:00:45 -0000	1.65
+++ ./games/gnome2-games/Makefile	4 Apr 2006 06:26:53 -0000
@@ -59,10 +59,10 @@
 
 PYTHON_PATCH_SCRIPTS=	libgames-support/games-server.py
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.3
-BUILDLINK_DEPENDS.howl+=	howl>=0.9.6
-BUILDLINK_DEPENDS.libgnome+=	libgnome>=2.10.0
-BUILDLINK_DEPENDS.librsvg2+=	librsvg2>=2.12.6
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.3
+BUILDLINK_API_DEPENDS.howl+=	howl>=0.9.6
+BUILDLINK_API_DEPENDS.libgnome+=	libgnome>=2.10.0
+BUILDLINK_API_DEPENDS.librsvg2+=	librsvg2>=2.12.6
 
 .include "../../audio/esound/buildlink3.mk"
 .include "../../devel/GConf2/schemas.mk"
